%define nmversion	%(echo %{version} | cut -d "." -f -2)
%define url_ver		%(echo %{version}|cut -d. -f1,2)

# filter out plugin .so provides
%global __provides_exclude_from %{_libdir}/NetworkManager/.*\\.so

Summary:	NetworkManager VPN integration for LibreSWAN
Name:		networkmanager-libreswan
Version:	1.2.6
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Base
URL:		https://wiki.gnome.org/Projects/NetworkManager
Source0:	https://download.gnome.org/sources/NetworkManager-libreswan/%{url_ver}/NetworkManager-libreswan-%{version}.tar.xz
BuildRequires:	gettext
BuildRequires:	gnome-common
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	perl-XML-Parser
BuildRequires:	perl
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libnm-util) >= %{nmversion}
BuildRequires:	pkgconfig(libnma) >= %{nmversion}
BuildRequires:	pkgconfig(libnm-glib)
BuildRequires:	pkgconfig(libnm-glib-vpn)
BuildRequires:	pkgconfig(libnl-3.0)
BuildRequires:	pkgconfig(libnm-gtk)
BuildRequires:	pkgconfig(libsecret-unstable)
Requires:	NetworkManager
Requires:	shared-mime-info
Obsoletes:	networkmanager-openswan <= 1.1.0

%description
This package contains software for integrating the LibreSWAN IPSec VPN software
with NetworkManager.

%prep
%setup -qn NetworkManager-libreswan-%{version}
%autopatch -p1

%build
NOCONFIGURE=yes gnome-autogen.sh
%configure2_5x \
	--disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%find_lang NetworkManager-libreswan

%files -f NetworkManager-libreswan.lang
%doc AUTHORS ChangeLog README
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/nm-libreswan-service.conf
%config(noreplace) %{_sysconfdir}/NetworkManager/VPN/nm-libreswan-service.name
%{_libdir}/NetworkManager/libnm-libreswan-properties.so
%{_libdir}/NetworkManager/libnm-vpn-plugin-libreswan.so
%{_libdir}/NetworkManager/libnm-vpn-plugin-libreswan-editor.so
%{_libexecdir}/nm-libreswan-auth-dialog
%{_libexecdir}/nm-libreswan-service
%{_libexecdir}/nm-libreswan-service-helper
%{_libexecdir}/nm-libreswan-service-helper
%dir %{_datadir}/gnome-vpn-properties/libreswan
%{_datadir}/gnome-vpn-properties/libreswan/nm-libreswan-dialog.ui
%{_datadir}/appdata/network-manager-libreswan.metainfo.xml
%{_usr}/lib/NetworkManager/VPN/nm-libreswan-service.name


%changelog
* Sun Feb 19 2017 ovitters <ovitters> 1.2.6-1.mga6
+ Revision: 1086910
- new version 1.2.6
- drop upstream patch 0001-build-fix-linking-against-libdl.so-for-dlopen.patch
- drop upstream patch 0002-build-really-fix-linking-against-libdl.so-for-dlopen.patch

* Sat Oct 08 2016 wally <wally> 1.2.4-2.mga6
+ Revision: 1059681
- add patches from upstream to properly fix underlinking
- filter out 'plugin' .so provides

* Sat Oct 08 2016 daviddavid <daviddavid> 1.2.4-1.mga6
+ Revision: 1059676
- "fix" underlinking

  + ovitters <ovitters>
    - don't create broken symlink
    - new version 1.2.4

* Thu May 26 2016 ovitters <ovitters> 1.2.2-1.mga6
+ Revision: 1018688
- new version 1.2.2

* Thu Apr 21 2016 ovitters <ovitters> 1.2.0-1.mga6
+ Revision: 1003911
- new version 1.2.0

* Tue Apr 05 2016 ovitters <ovitters> 1.1.93-1.mga6
+ Revision: 998797
- new version 1.1.93

* Tue Mar 29 2016 ovitters <ovitters> 1.1.92-1.mga6
+ Revision: 996331
- new version 1.1.92
- update description

* Tue Mar 01 2016 ovitters <ovitters> 1.1.91-1.mga6
+ Revision: 981568
- new version 1.1.91

* Thu Feb 11 2016 ovitters <ovitters> 1.1.90-1.mga6
+ Revision: 955852
- rename to networkmanager-libreswan
- new version 1.1.90
- Upstream name changed

* Fri Nov 20 2015 ovitters <ovitters> 1.0.8-1.mga6
+ Revision: 904518
- new version 1.0.8

* Thu Aug 27 2015 ovitters <ovitters> 1.0.6-1.mga6
+ Revision: 870231
- new version 1.0.6

* Sun May 17 2015 tmb <tmb> 1.0.2-2.mga5
+ Revision: 822179
- push to release

* Thu May 07 2015 shlomif <shlomif> 1.0.2-1.mga5
+ Revision: 821405
- New version 1.0.2 (MGA#15682)

* Sun Feb 08 2015 ovitters <ovitters> 1.0.0-2.mga5
+ Revision: 814133
- fix dangling symlink (mga#15219)

* Thu Feb 05 2015 ovitters <ovitters> 1.0.0-1.mga5
+ Revision: 813619
- new version 1.0.0
- imported package networkmanager-openswan

